#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

namespace Ui {
class Widget;
}

class QPainter;
class QPrinter ;

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private:
    void printDocument(QPainter &painter, QPrinter &printer) ;

private slots:
    void on_pbPDF_clicked();

    void on_pbPrint_clicked();

private:
    Ui::Widget *ui;
};

#endif // WIDGET_H
